| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jccoefct.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_coef_controller

## Macros
#define | JPEG_INTERNALS
#define | FULL_COEF_BUFFER_SUPPORTED

## Typedefs
typedef my_coef_controller * | my_coef_ptr

## Functions
| METHODDEF (boolean)
| start_pass_coef (j_compress_ptr cinfo, J_BUF_MODE pass_mode)
| compress_data (j_compress_ptr cinfo, JSAMPIMAGE input_buf)
| compress_first_pass (j_compress_ptr cinfo, JSAMPIMAGE input_buf)
| compress_output (j_compress_ptr cinfo, JSAMPIMAGE input_buf)
| jinit_c_coef_controller (j_compress_ptr cinfo, boolean need_full_buffer)

## Macro Definition Documentation

#define FULL_COEF_BUFFER_SUPPORTED

Definition at line 24 of file jccoefct.c.

#define JPEG_INTERNALS

Definition at line 13 of file jccoefct.c.

## Typedef Documentation

typedef my_coef_controller* my_coef_ptr

Definition at line 57 of file jccoefct.c.

## Function Documentation

compress_data | ( | j_compress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf
| ) |  |

Definition at line 143 of file jccoefct.c.

compress_first_pass | ( | j_compress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf
| ) |  |

Definition at line 245 of file jccoefct.c.

compress_output | ( | j_compress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf
| ) |  |

Definition at line 341 of file jccoefct.c.

jinit_c_coef_controller | ( | j_compress_ptr | cinfo,
|  | boolean | need_full_buffer
| ) |  |

Definition at line 405 of file jccoefct.c.

METHODDEF | ( | boolean |  | ) |

Definition at line 61 of file jccoefct.c.

start_pass_coef | ( | j_compress_ptr | cinfo,
|  | J_BUF_MODE | pass_mode
| ) |  |

Definition at line 100 of file jccoefct.c.